#!/bin/bash

# This is a bash script of CA-align ver 1.0
# the following programs are required to be in the appropriate directories:
# CAMTX : Contact Area Caluculation
# CAalign : generate residue-residue contact area based alignment

USAGE(){
 echo -e "$0 [PDBfile1] [PDBfile2]"
 echo -e "Simple CAB-align"
 exit
}

CHK_FILE() {
 if [ ! -e "$1" ];then
  echo -e "No Such File or Directory. >> $1"
  exit
 fi
}

EXIST_CHK_FILE(){
 if [ -e "$1" ];then
  echo -e "$1 already exists"
  exit
 fi
}


if [ -z $2 ];then
 USAGE
fi

#Setting
exe="./"
pdb1=$1
pdb2=$2

CHK_FILE "$pdb1"
CHK_FILE "$pdb2"
CHK_FILE "$exe/CAMTX"
CHK_FILE "$exe/CAalign"

id1=`basename $pdb1 .pdb`
id1=`basename $id1 .ent`

id2=`basename $pdb2 .pdb`
id2=`basename $id2 .ent`

mtx1=$id1.mtx
mtx2=$id2.mtx

EXIST_CHK_FILE "$mtx1"
EXIST_CHK_FILE "$mtx2"
outfile=${id1}_${id2}.align
EXIST_CHK_FILE "$outfile"


$exe/CAMTX -i $pdb1 > $mtx1
$exe/CAMTX -i $pdb2 > $mtx2

CHK_FILE "$mtx1"
CHK_FILE "$mtx2"

$exe/CAalign -i $mtx1 -I $mtx2 -p $pdb1 -P $pdb2 > ${id1}_${id2}.align
cat ${id1}_${id2}.align


